API ReferenceapicommunityGET /v1/posts/{post_id}/reactions

GET /v1/posts/\{post_id\}/reactions

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • post_id (string) required

Responses

200 Reaction summary

{
  "type": "object",
  "properties": {
    "score": {
      "type": "integer"
    },
    "reactionCounts": {
      "type": "object",
      "additionalProperties": {
        "type": "integer"
      }
    },
    "viewerReactions": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "upvote",
          "downvote",
          "heart",
          "fire",
          "brain",
          "hands",
          "eyes"
        ]
      }
    }
  },
  "required": [
    "score",
    "reactionCounts",
    "viewerReactions"
  ]
}

404 Post not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/posts/{post_id}/reactions \
  -H "Authorization: Bearer $ACCESS_TOKEN"